
DataONE R Client - Story #927

R Client needs DataPackage model and implementation

2010-10-06 20:02 - Matthew Jones

Status: Closed Start date: 2013-02-22

Priority: High Due date: 2013-02-22

Assignee: Matthew Jones % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: DataONE R Client 1.0.0   

Story Points:    

Description

Subtasks:

Task # 853: add R client DataPackage constructors from data or science metadata Closed

Task # 849: modify R client to download system and science metadata Closed

Task # 852: extend the R client DataPackage class to support data and metadata storage ... Closed

Related issues:

Blocked by Infrastructure - Story #976: Design data packaging approach for cl... Closed 2010-11-30 2013-01-19

History

#1 - 2010-10-06 20:03 - Matthew Jones

- Category set to d1_client_r

- Assignee set to Matthew Jones

- Milestone set to CCI-0.6

#2 - 2010-10-07 16:46 - Dave Vieglais

- Target version set to Sprint-2010.41

- Position deleted (5)

- Position set to 2

#3 - 2010-10-07 19:29 - Dave Vieglais

- Target version changed from Sprint-2010.41 to Sprint-2010.42

- Position deleted (16)

- Position set to 9

#4 - 2010-10-22 16:52 - Dave Vieglais

- Target version changed from Sprint-2010.42 to Sprint-2010.43

- Position deleted (21)

- Position set to 52

#5 - 2010-10-29 16:58 - Dave Vieglais

- Target version changed from Sprint-2010.43 to Sprint-2010.45

- Position deleted (52)

- Position set to 2

#6 - 2010-11-08 17:40 - Dave Vieglais

- Target version changed from Sprint-2010.45 to Sprint-2010.48

- Position deleted (9)
- Position set to 1

#7 - 2010-11-30 18:06 - Matthew Jones

- Target version deleted (Sprint-2010.48)

- Position deleted (41)

- Position set to 10

#8 - 2011-10-07 16:50 - Matthew Jones

- Target version set to Sprint-2011.41-Block.5

- Position deleted (219)

- Position set to 2

#9 - 2011-10-21 14:29 - Matthew Jones

- Target version changed from Sprint-2011.41-Block.5 to Sprint-2011.43-Block.6

- Position deleted (17)

- Position set to 1

#10 - 2011-10-31 17:29 - Dave Vieglais

- Target version changed from Sprint-2011.43-Block.6 to Sprint-2011.44-Block.6

- Position deleted (23)

- Position set to 1

- Position changed from 1 to 302

#11 - 2011-11-05 17:21 - Matthew Jones

- Target version changed from Sprint-2011.44-Block.6 to Sprint-2011.45-Block.6

- Position deleted (304)

- Position set to 1

- Position changed from 1 to 306

#12 - 2011-11-15 03:57 - Dave Vieglais

- Target version changed from Sprint-2011.45-Block.6 to Sprint-2011.47-Block.6

- Position deleted (305)

- Position set to 1

#13 - 2011-11-28 18:51 - Dave Vieglais

- Target version changed from Sprint-2011.47-Block.6 to Sprint-2011.49-Block.6

- Position deleted (16)

- Position set to 4

#14 - 2011-12-06 14:35 - Dave Vieglais

- Target version changed from Sprint-2011.49-Block.6 to Sprint-2011.50-Block.6

- Position deleted (21)

- Position set to 1

#15 - 2011-12-19 18:57 - Dave Vieglais

- Target version changed from Sprint-2011.50-Block.6 to Sprint-2012.03-Block.1.2

- Position deleted (25)

- Position set to 9
#16 - 2012-01-17 15:44 - Dave Vieglais

- Target version changed from Sprint-2012.03-Block.1.2 to Sprint-2012.05-Block.1.3

- Position deleted (50)

- Position set to 5

#17 - 2012-01-30 16:28 - Dave Vieglais

- Target version changed from Sprint-2012.05-Block.1.3 to Sprint-2012.07-Block.1.4

- Position deleted (11)

- Position set to 2

#18 - 2012-02-27 18:12 - Dave Vieglais

- Target version changed from Sprint-2012.07-Block.1.4 to Sprint-2012.11-Block.2.2

- Position deleted (47)

- Position set to 2

#19 - 2012-03-16 02:30 - Dave Vieglais

- Target version changed from Sprint-2012.11-Block.2.2 to Sprint-2012.13-Block.2.3

- Position deleted (23)

- Position set to 2

#20 - 2012-04-23 17:42 - Dave Vieglais

- Target version changed from Sprint-2012.13-Block.2.3 to Sprint-2012.21-Block.3.3

- Position deleted (37)

- Position set to 27

#21 - 2012-05-30 14:36 - Dave Vieglais

- Target version changed from Sprint-2012.21-Block.3.3 to Sprint-2012.25-Block.4.1

- Position deleted (50)

- Position set to 1

- Position changed from 1 to 456

#22 - 2012-07-09 13:42 - Dave Vieglais

- Target version changed from Sprint-2012.25-Block.4.1 to Sprint-2012.27-Block.4.2

- Milestone changed from CCI-0.6 to None

#23 - 2012-08-31 01:43 - Chris Jones

- Target version changed from Sprint-2012.27-Block.4.2 to Sprint-2012.37-Block.5.3

#24 - 2012-08-31 03:09 - Chris Jones

- Target version changed from Sprint-2012.37-Block.5.3 to Sprint-2012.39-Block.5.4

- Position deleted (475)

- Position set to 1

- Position changed from 1 to 487

#25 - 2012-10-11 16:37 - Dave Vieglais

- Due date set to 2012-10-27

- Target version changed from Sprint-2012.39-Block.5.4 to Sprint-2012.41-Block.6.1

#26 - 2012-10-19 22:47 - Chris Jones
- Assignee changed from Matthew Jones to Rob Nahf

After discussion with Matt and Dave, Rob will work on updating the DataPackage model in the R client to reflect the Java model in libclient.  Rob will

talk with Matt about any details, and it will take sometime to get familiar with the somewhat obtuse OO model of R.

#27 - 2012-10-24 18:23 - Matthew Jones

- Due date changed from 2012-10-27 to 2012-11-10

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.44-Block.6.2

#28 - 2012-11-14 18:00 - Rob Nahf

- Status changed from New to In Progress

#29 - 2012-12-12 18:58 - Rob Nahf

- Due date changed from 2012-11-10 to 2013-01-05

- Target version changed from Sprint-2012.44-Block.6.2 to Sprint-2012.50-Block.6.4

#30 - 2013-02-22 18:50 - Matthew Jones

- Project changed from Infrastructure to DataONE R Client

- Due date changed from 2013-01-05 to 2013-02-22

- Category deleted (d1_client_r)

- Target version changed from Sprint-2012.50-Block.6.4 to DataONE R Client 1.0.0

#31 - 2013-02-22 19:00 - Matthew Jones

- Status changed from In Progress to New

#32 - 2013-02-22 19:02 - Matthew Jones

- Due date deleted (2013-02-22)

- Target version deleted (DataONE R Client 1.0.0)

- Start date deleted (2010-10-07)

#33 - 2013-02-22 19:03 - Matthew Jones

- Tracker changed from Story to Feature

#34 - 2013-02-22 19:09 - Matthew Jones

- Due date set to 2013-02-22

- Assignee changed from Rob Nahf to Matthew Jones

- Target version set to DataONE R Client 1.0.0

- Start date set to 2013-02-22

#35 - 2013-02-22 19:09 - Matthew Jones

- Tracker changed from Feature to Story

#36 - 2013-02-22 19:10 - Matthew Jones

- Status changed from New to In Progress

#37 - 2013-02-22 19:19 - Matthew Jones

- Status changed from In Progress to Closed

Basic data package model implemented and tested.  Supported by underlying Java libclient library.
